Subject: Re: [PATCH] git-p4: Strip branch name prefixes if --use-client-spec enabled

From: Pete Wyckoff <[email-masked]>
Date: Wed, 22 Aug 2012 17:22:41 -0400

[email-masked] wrote on Mon, 20 Aug 2012 13:43 -1000:
> This removes the branch names from being included in the file system
> path when using the both --use-client-spec and --detect-branches
> options.
> 
> Used alone, the --detect-branches option did the right thing, removing
> the branch names from the relative git path. By adding the
> --use-client-spec option, the old logic would incorrectly bypass this
> step.

Thanks for reporting this bug, and supplying a fix.  I think,
though that this is the same issue we were looking at in this
thread:

    http://article.gmane.org/gmane.comp.version-control.git/203294

It is queued up and the fix likely will appear in 1.7.13 (or
whatever the next release after 1.7.12 is called).

(Gmane has been down all day from here; there's information from
another reporter in http://stackoverflow.com/questions/11893688/ .)

		-- Pete